summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--system/gcdemu/gcdemu.SlackBuild26
-rw-r--r--system/gcdemu/gcdemu.info8
-rw-r--r--system/gcdemu/slack-desc12
3 files changed, 25 insertions, 21 deletions
diff --git a/system/gcdemu/gcdemu.SlackBuild b/system/gcdemu/gcdemu.SlackBuild
index bf48e827b4..1875b81b1b 100644
--- a/system/gcdemu/gcdemu.SlackBuild
+++ b/system/gcdemu/gcdemu.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for gcdemu
#
-# Copyright 2012 Niels Horn, Rio de Janeiro, RJ, Brazil
+# Copyright 2013 Niels Horn, Rio de Janeiro, RJ, Brazil
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,10 +22,10 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Revision date: 2012/09/15
+# Revision date: 2013/03/31
PRGNAM=gcdemu
-VERSION=${VERSION:-1.5.0}
+VERSION=${VERSION:-2.0.0}
ARCH=noarch
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -46,15 +46,19 @@ cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R a-s,u+rw,go+r-w .
-./configure \
- --prefix=/usr \
- --sysconfdir=/etc \
- --mandir=/usr/man \
- --docdir=/usr/doc/$PRGNAM-$VERSION \
- --build=$ARCH-slackware-linux
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_MANDIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make VERBOSE=1
+ make install DESTDIR=$PKG
+cd ..
-make
-make install-strip DESTDIR=$PKG
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp AUTHORS ChangeLog COPYING INSTALL NEWS README \
diff --git a/system/gcdemu/gcdemu.info b/system/gcdemu/gcdemu.info
index 0ef63895a7..834d282223 100644
--- a/system/gcdemu/gcdemu.info
+++ b/system/gcdemu/gcdemu.info
@@ -1,8 +1,8 @@
PRGNAM="gcdemu"
-VERSION="1.5.0"
-HOMEPAGE="http://cdemu.sourceforge.net/pkg_gcdemu.php"
-DOWNLOAD="http://downloads.sourceforge.net/cdemu/gcdemu-1.5.0.tar.bz2"
-MD5SUM="6092d775602f4cc55020dcafc052eda4"
+VERSION="2.0.0"
+HOMEPAGE="http://cdemu.sourceforge.net/about/gcdemu/"
+DOWNLOAD="http://downloads.sourceforge.net/cdemu/gcdemu-2.0.0.tar.bz2"
+MD5SUM="31691b368ffa9e34b6b776cb7adeebd9"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="cdemu-daemon gnome-python pygobject3"
diff --git a/system/gcdemu/slack-desc b/system/gcdemu/slack-desc
index 1d69c932ba..83457150df 100644
--- a/system/gcdemu/slack-desc
+++ b/system/gcdemu/slack-desc
@@ -1,9 +1,9 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
gcdemu: gcdemu (gtk applet for controlling CDEmu daemon)
@@ -13,7 +13,7 @@ gcdemu: related to controlling the CDEmu daemon, such as loading and unloading
gcdemu: devices, displaying devices' status and retrieving/setting devices'
gcdemu: debug masks.
gcdemu:
-gcdemu: Homepage: http://cdemu.sourceforge.net/pkg_gcdemu.php
+gcdemu: Homepage: http://cdemu.sourceforge.net/about/gcdemu/
gcdemu:
gcdemu:
gcdemu: